

//-----------------------------------------------------------------------------
// GLOBALS --------------------------------------------------------------------
//-----------------------------------------------------------------------------


#define pin_rx   0                    //Arduino shield pinout to CELLv1.0
#define pin_tx   1                    //
#define pin_prn  A0                   //PON_RST_N           O - Module reset
#define pin_mwa  4                    //MODULE_WAKEUP_AP    I - Module wakes up AP
#define pin_mp   5                    //MODULE_POWERON      I - Module power-on status
#define pin_mr   6                    //MODULE_READY        I - AP queries Module sleep status
#define pin_ar   7                    //AP_READY            O - Module queries AP sleep status
#define pin_awm  8                    //AP_WAKEUP_MODULE    O - AP wakes up Module
#define pin_po   9                    //POWER_ON            O - Power-on/Power-off

#define pin_ledG 1                    //LED Green
#define pin_ledR 2                    //LED Red
#define pin_ledB 3                    //LED Blue

/*
//ALTERNATE PINOUT
#define pin_rx   0                    //Arduino shield pinout to CELLv1.0
#define pin_tx   1                    //
#define pin_prn  7                    //PON_RST_N           O - Module reset
#define pin_mwa  8                    //MODULE_WAKEUP_AP    I - Module wakes up AP
#define pin_mp   9                    //MODULE_POWERON      I - Module power-on status
#define pin_mr   10                   //MODULE_READY        I - AP queries Module sleep status
#define pin_ar   11                   //AP_READY            O - Module queries AP sleep status
#define pin_awm  12                   //AP_WAKEUP_MODULE    O - AP wakes up Module
#define pin_po   13                   //POWER_ON            O - Power-on/Power-off
*/

#define GLOB_DEBUG     5              //Global debug print level  

#define LEVEL_CRITICAL 1              //ENUM levels for printing (enum requires another module, so using a dict)
#define LEVEL_ERROR    2
#define LEVEL_WARNING  3
#define LEVEL_INFO     4
#define LEVEL_DEBUG    5

#define LED_THRESHOLD  200            //analog threshold for LEDs


//SoftwareSerial for debugging

//ALTERNATE PINOUT
/*
int sw_rx = 2;
int sw_tx = 3;
*/
int sw_rx = 10;
int sw_tx = 11;

SoftwareSerial mySerial(sw_rx, sw_tx); // RX, TX

String buffer = "";                //a string to hold incoming data
int bufferLen = 0;                 //keep track of buffer length
char glob_debug = GLOB_DEBUG;
